GET
/
stake
/
buyback
/
revenue
/
records
Get Revenue Records
curl --request GET \
  --url https://prv.stake.biya.io/stake/buyback/revenue/records
{
  "records": [
    {
      "id": "<string>",
      "round_id": "<string>",
      "participation_id": "<string>",
      "user_address": "<string>",
      "total_pool": "<string>",
      "user_share": "<string>",
      "claimed_amount": "<string>",
      "claim_status": 123,
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": "<string>",
    "total_pages": 123,
    "has_prev": true,
    "has_next": true
  }
}

Query Parameters

round_id
string
user_address
string
claim_status
integer<enum>
pagination.page
integer<int32>

页码,从1开始,默认1(基于页数的分页)

pagination.page_size
integer<int32>

每页大小,默认20,最大100

pagination.cursor
string

游标(基于游标的分页,用于大数据集优化,优先级高于 page) 对于区块:使用区块高度(height) 对于交易:使用交易号(tx_number)或区块高度+交易号的组合

Response

200 - application/json

OK

GetRevenueRecordsResponse contains a list of revenue records

records
object[]
pagination
object

分页响应信息